# UUID.h File Reference

`#include "ace/config-all.h"`
`#include "ace/SString.h"`
`#include "ace/Singleton.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/UUID.inl"`

Include dependency graph for UUID.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_Utils

## Classes

class | ACE_Utils::UUID_node
| Class to hold a MAC address. More...
class | ACE_Utils::UUID
class | ACE_Utils::UUID_Generator
struct | ACE_Utils::UUID_Generator::UUID_State

## Typedefs

typedef ACE_Singleton< UUID_Generator, ACE_SYNCH_MUTEX > | UUID_GENERATOR

## Detailed Description

Id
  UUID.h,v 1.10 2005/10/28 23:55:10 ossama Exp

Author:
  Andrew T. Finnel <andrew@activesol.net>

  Yamuna Krishnmaurthy <yamuna@oomworks.com>

## Typedef Documentation

typedef ACE_Singleton<UUID_Generator, ACE_SYNCH_MUTEX> ACE_Utils::UUID_GENERATOR